body {
  margin: 0;
  padding: 0;
  font-family: 'Georgia', serif;
  background: black;

  display: flex;
  justify-content: center;
  align-items: flex-start;
  min-height: 100vh;
}

.container {
  margin: 60px 0;
  width: 600px;
  padding: 40px 40px 40px 60px;

  background:
    repeating-linear-gradient(
      to bottom,
      transparent,
      transparent 30px,
      rgba(0, 0, 0, 0.08) 31px
    ),
    rgba(255, 248, 220, 0.95);

  border: 1px solid #d2b48c;

  box-shadow:
    0 0 25px rgba(0,0,0,0.15),
    inset 0 0 30px rgba(0,0,0,0.05);

  font-size: 20px;
  line-height: 31px;

  position: relative;
  z-index: 1;
}

.container::before {
  content: "";
  position: absolute;
  top: 0;
  right: 30px;
  width: 1px;
  height: 100%;
  background: rgba(180, 0, 0, 0.25);
}

#icon {
  position: absolute;
  bottom: 20px;
  right: 20px;

  width: 55px;
  height: 55px;
  border-radius: 50%;
  background: #62A8E8;

  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 28px;
  cursor: pointer;

  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
  transition: 0.3s;

  animation: pulse 2s infinite;
}

#icon:hover {
  transform: scale(1.15);
}

#text {
  white-space: pre-wrap;
}

@keyframes pulse {
  0% { box-shadow: 0 0 0 0 rgba(0,193,230, 0.5); }
  70% { box-shadow: 0 0 0 15px rgba(244,185,66, 0); }
  100% { box-shadow: 0 0 0 0 rgba(244,185,66, 0); }
}

.modal {
  display: flex;
  opacity: 0;
  pointer-events: none;

  position: fixed;
  inset: 0;

  background: rgba(0,0,0,0.85);
  justify-content: center;
  align-items: center;

  transition: opacity 0.4s ease;
  z-index: 9999;
}

.modal.active {
  opacity: 1;
  pointer-events: auto;
}

.modal-content {
  max-width: 80%;
  max-height: 80%;
  border: 2px solid #fff;

  transform: scale(0.8);
  opacity: 0;

  transition: 0.4s;
}

.modal.active .modal-content {
  transform: scale(1);
  opacity: 1;
}

#serendipia {
  color: gray;
  position: absolute;
  bottom: 35px;
  right: 90px;
}

#bgCanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

#introPrompt {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.6);

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 9999;
}

.prompt-box {
  background: #f4ecd8;
  padding: 30px 40px;
  border-radius: 10px;
  text-align: center;

  box-shadow: 0 10px 30px rgba(0,0,0,0.3);
  border: 1px solid #d2b48c;
}

.prompt-box p {
  font-size: 20px;
  margin-bottom: 20px;
  color: #333;
}

#continueBtn {
  padding: 10px 25px;
  border: none;
  cursor: pointer;
  font-size: 16px;
  border-radius: 6px;

  background: #62A8E8;
  color: white;

  transition: 0.3s;
}

#continueBtn:hover {
  transform: scale(1.05);
}

.floating-img {
  position: fixed;
  bottom: -60px;
  opacity: 0.6;
  pointer-events: none;
  z-index: 0;

  animation: floatImage linear forwards;
}

@keyframes floatImage {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-110vh);
  }
}